Subject: Re: bug#1291: 23.0.60; 1) resize-mini-windows: customizable, 2) if grow mini, grow Completions

From: martin rudalics <[email-masked]>
Date: Mon, 03 Nov 2008 08:17:10 +0100

> That is not to say that the minibuffer display can never override whatever is
 > decided for the *Completions* display, but it should not do so gratuitously. It
 > should take the *Completions* display into account.

Ideally, yes.  But, as I said before, we first need a mechanism that
allows us to establish a connection between such windows and the
minibuffer (we could try to fit a window to its buffer _after_ resizing
the minibuffer, but it's obvious how fragile such a solution would be).

 > But I don't think this should be fixed in some general way, treating the
 > *Completions* or minibuffer window in the same way as any other window. If
 > that's what you're suggesting wrt `window-size-fixed', then I think that's
 > probably not the best approach.

FAIK the *Completions* windows and the minibuffer are independent from
each other.  So we have to find a mechanism to tell the window
management part what to do.  Fixing window sizes in some "lax" fashion
is one way to do that.

martin